> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization Connections

> Get paginated list of git connections that this organization has access to

Requires an enterprise admin personal API key.

Returns a paginated list of git connections that a specific organization has access to within your enterprise.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/organizations/{org_id}/git/connections
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}/git/connections:
    get:
      tags:
        - organizations
      summary: Enterprise Organization Connections Endpoint
      operationId: >-
        enterprise_organization_connections_endpoint_v2_enterprise_organizations__org_id__git_connections_get
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
        - in: query
          name: skip
          required: false
          schema:
            default: 0
            minimum: 0
            title: Skip
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_GitConnectionResponse_'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PaginatedResponse_GitConnectionResponse_:
      properties:
        has_more:
          title: Has More
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/GitConnectionResponse'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
        skip:
          title: Skip
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - skip
        - limit
        - has_more
      title: PaginatedResponse[GitConnectionResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GitConnectionResponse:
      properties:
        connection_id:
          title: Connection Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        host:
          title: Host
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        type:
          enum:
            - github_token
            - github_individual_token
            - github_app
            - gitlab_token
            - gitlab_oauth
            - bitbucket_oauth
            - bitbucket_token
            - azure_devops_oauth
          title: Type
          type: string
      required:
        - connection_id
        - type
        - name
        - created_at
        - host
      title: GitConnectionResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````